Subject: bug#25918: [PATCH 1/3] gnu: Add libmesode.

From: Catonano <[email-masked]>
Date: Fri, 3 Mar 2017 01:36:54 +0100

2017-03-03 0:58 GMT+01:00 Mekeor Melire <[email-masked]>:

>
> Ricardo Wurmus <[email-masked]> writes:
>
> > Like Leo I recommend that you work on a git checkout of Guix instead of
> > using GUIX_PACKAGE_PATH.  The latter is for users of packages that
> > probably won’t end up in Guix.  It’s not suited for development.
>
> Ah, and then you use `guix package -f gnu/packages/messaging.scm` to
> test the package definition, right? I see, that's cool.
>

Maybe ;-)

Say you have edited gnu/packages/messaging.scm and you added "my-package"
Then you would do

./pre-inst-env guix build my-package
./pre-inst-env guix lint my-package

you can even install it

./pre-inst-env guix package -i my-package

>
> > You can send them in separate emails.  Many of us use git send-email (in
> > this case we would instruct “git send-email” to reply to this thread),
> > which can be a little tricky to set up.
>
> (AFAICT, there is no `git-send-mail` package for Guix but I wouldn't use
> it anyway.)
>

It's not a standalone package, it's one of the outputs of the git package.

You can see it with this
guix package --list-available | grep send-email

Right, Ricardo ?